XTEL(1)

NOM
xtel - Emulateur MINITEL

SYNOPSIS
xtel [-petit] [-ng] [-br] [-low] [-e] [-serveur serveur_xtel] [-service service_xtel] [options_standards Xt] [fichier_videotex]

DESCRIPTION
xtel est un émulateur de Minitel 1B/2 ou TVR (Télétel Vitesse Rapide destiné à X11R4/R5/R6 . Il permet de plus la sauvegarde et le décodage hors-ligne de pages vidéotex. Ce client fonctionne sur écran couleur, niveaux de gris ou bien monochrome.

OPTIONS

-ng
     Niveaux de gris : dans le cas d'un écran couleur, on utilise des niveaux de gris et non pas des couleurs (comme sur le vrai Minitel).

-petit
     Petit ecran : la taille de l'écran d'émulation est de 320 x 250 pixels. Cela tient moins de place mais c'est peu lisible dans le cas d'un écran monochrome de taille courante (15" ou 16").

-serveur
     Nom de la machine serveur (supportant xteld). On peut également spécifier le nom du serveur par la ressource serveur .

-service
     Nom du service de /etc/services a utiliser. On peut également spécifier le nom du service par la ressource nomService .

-br
     Permet de spécifier la présence du bouton Raccrocher dans le popup-menu du clavier Minitel (utilise si le modem ne gère pas le signal DCD).

-low
     Supprime l'affichage des jolis boutons (et limite la consommation mémoire).

-e, --exec-procedure
     Nom de la procédure a démarrer au lancement de XTel. Cette procédure doit être définie dans le fichier $HOME/.xtel/procedures (ou $HOME/.xtelproc par compatibilité).

-private
     Force l'utilisation d'une colormap privée (à utiliser dans le cas d'un nombre insuffisant de couleurs disponible dans la colormap par défaut).

UTILISATION

Après lancement du programme, on peut sélectionner 3, 4, 5 ou 6 menus déroulants en haut de la fenêtre.

Le menu Fichier contient les entrées :

Charge l'enregistrement
 Charge un enregistrement en mémoire (il sera exploité grâce à la fonction lecteur du menu suivant) .

Sauve l'enregistrement
 Sauve ce qui a été enregistré sur un fichier.

Imprime
 Imprime la page courante.

Quitte
 Quitte le programme.

Le menu Enregistrement Permet de controler l'enregistrement des pages Vidéotex. Il contient les entrées :

Nouvel enregistrement
 Initialise la zone d'enregistrement (ce qui était enregistré est perdu).

Demarre
 Valide l'enregistrement, tout ce qui est affiché sur l'écran est sauvé en memoire.

Arrête
 Stoppe l'enregistrement

Lecteur
 Appele le lecteur d'enregistrement (fonction magnétoscope). Les fonctions du lecteur sont :

|<<        Début de page
<<         Page précédente
[]         Stop
>          Lecture
>>         Page suivante

Le lecteur permet de suspendre la lecture sur le caractères Form Feed (qui représente un changement de page en Vidéotex) ou bien la commande SUITE souvent utilisée pour afficher les informations suivantes. Les deux conditions peuvent être combinées (SUITE ou FF). La valeur par défaut est "Pas d'arrêt", il faut cliquer sur cette chaine pour définir une condition d'arrêt.

Le menu Services est créé au début en interrogeant le démon xteld . Dans le cas ou le modem est un Minitel 1/1B, ce menu n'est pas affiché (l'utilisateur compose a la main). Pour établir la connexion avec le service, il faut OBLIGATOIREMENT utiliser le bouton CONNEXION/FIN de XTEL (et non celui du Minitel). Par contre, on peut libérer la ligne en utilisant le bouton CX/FIN du Minitel.

Le menu Procédures est créé si le fichier $HOME/.xtel/procedures (ou $HOME/.xtelproc) existe. Il permet de definir des procedures d'interrogation de serveurs Télétel (composition puis envoi automatique de chaines ou de touches Minitel sur reconnaissance d'un texte particulier).

Dans le cas ou le modem est un M1/M1B, l'utilisateur devra composer à la main le numéro du service et sélectionner la procédure pour établir la connexion (au lieu d'utiliser le CONNEXION/FIN).

La syntaxe du fichier procedures est la suivante :

procedure nom_de_procédure
service numéro_de_service
liste_de_commandes

Les commandes disponibles sont les suivantes avec les raccourcis (une lettre) entre parenthèses. Les raccourcis choisis font en sorte que les fichiers déja ecrits avec une version antérieure soient compatibles.

	waitfor	chaine_de_caractères	(A)
	transmit chaine_de_caractères	(E)
	record on/off			(R)
	write nom_de_fichier		(W)
	hangup				(H)
	exit				(X)

Pour émettre des commandes Minitel (ENVOI, RETOUR, etc), on utilise la syntaxe suivante dans la chaine à émettre :

	ENVOI                 \A
	RETOUR                \B
	REPETITION            \C
	GUIDE                 \D
	ANNULATION            \E
	SOMMAIRE              \F
	CORRECTION            \G
	SUITE                 \H
	CONNEXION_FIN         \I

Par exemple :

P Ficheux
S 3611
waitfor reste
record on
transmit FICHEUX\H\HBORDEAUX\A
waitfor Suite
write /tmp/f.vdt
record off
exit

Par exemple, la procédure Ficheux recherche le numéro de l'abonne FICHEUX sur l'annuaire électronique, enregistre le résultat dans le fichier /tmp/f.vdt et sort de XTel.

Le menu Protocoles permet d'utiliser des protocoles pour télécharger des fichiers à travers XTel. Ce menu existe si le fichier $HOME/.xtel/protocols (ou $HOME/.xtelproto) existe.

La syntaxe du fichier protocoles est la suivante :

Nom_de_protocole,Nom_de_la_commande

La commande correspond à un exécutable permettant de gérer le protocole spécifié, par exemple:

Z-Modem,/usr/bin/rz

La commande doit utiliser stdin/stdout pour ses entrées/sorties et afficher les messages eventuels sur stderr.

Le menu Xtel permet d'obtenir des informations sur la version et la configuration du programme.

L'emulation des touches du Minitel (Envoi, Retour, etc...) est realisée par un popup-menu accessible par Bouton 2. Les raccourcis clavier sont indiqués dans le menu. Ce meme menu permet de selectionner le mode d'émulation (Vidéotex, Télé-informatique ASCII, Télé-informatique français). A partir de la version 3.1, les touches sont également accessible directement en dessous de l'ecran Minitel (sauf si l'option lowMemory est activée).

XTEL fait de la reconnaissance de chaine de caractères dans la page Minitel, c'est à dire que l'on peut cliquer directement dans la page les chaines correspondant aux touches Minitel (Envoi, Retour, etc...) ou par défaut aux valeurs a saisir (Bouton 1).

On peut obtenir une approximation ASCII de la page courante sur la sortie standard en cliquant sur Bouton 3.

RESSOURCES
XTEL utilise les ressources spécifiques suivantes :

petiteFonte
     Spécifie la petite fonte (void option -petit)

serveur
     Spécifie le serveur XTEL (void option -serveur)

commandeImpression
     Spécifie la commande pour imprimer la page courante

nomService
     Spécifie le nom du service TCP (xtel, par defaut)

boutonRaccrocher
     Spécifie la presence du bouton "Raccrocher"

lowMemory
     Pas de jolis boutons

privateColormap
     Force une colormap privée

VOIR AUSSI
X(1) xteld

BUGS

Le décodage des pages photographiques (TVR) est certainement incomplet. De plus l'allocation des couleurs sur un ecran 256 couleurs peut poser des problèmes en cas d'images JPEG affichées sur une même page.

FICHIERS
/usr/X11R6/lib/X11/app-defaults/XTel
/usr/X11R6/lib/X11/app-defaults/XTelm
$HOME/.xtel/procedures
$HOME/.xtel/protocols

COPYRIGHT
Copyright 1991-98, LECTRA-SYSTEMES et Pierre FICHEUX

AUTEUR
Pierre FICHEUX R&D LECTRA-SYSTEMES ZI Marticot 33610 Cestas FRANCE